GameEventsListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Interface GameEventsListener

    public interface GameEventsListener

Insert class comment here.

Author:
  Marvin Froehlich (CTDP)

Method Summary
`void` | `onGarageEntered(LiveGameData gameData, boolean isEditorMode)`
`void` | `onGarageExited(LiveGameData gameData, boolean isEditorMode)`
`void` | `onLapStarted(VehicleScoringInfo vsi, LiveGameData gameData, boolean isEditorMode)`
`void` | `onPitsEntered(LiveGameData gameData, boolean isEditorMode)`
`void` | `onPitsExited(LiveGameData gameData, boolean isEditorMode)`
`void` | `onTrackChanged(java.lang.String trackname, LiveGameData gameData, boolean isEditorMode)`
`void` | `onVehicleControlChanged(VehicleScoringInfo viewedVSI, LiveGameData gameData, boolean isEditorMode)`
`void` | `onVehiclePhysicsUpdated(LiveGameData gameData)`
`void` | `onVehicleSetupUpdated(LiveGameData gameData, boolean isEditorMode)`

Method Detail

### onVehiclePhysicsUpdated

    void onVehiclePhysicsUpdated(LiveGameData gameData)

### onVehicleSetupUpdated

    void onVehicleSetupUpdated(LiveGameData gameData,
                               boolean isEditorMode)

### onTrackChanged

    void onTrackChanged(java.lang.String trackname,
                        LiveGameData gameData,
                        boolean isEditorMode)

### onPitsEntered

    void onPitsEntered(LiveGameData gameData,
                       boolean isEditorMode)

### onGarageEntered

    void onGarageEntered(LiveGameData gameData,
                         boolean isEditorMode)

### onGarageExited

    void onGarageExited(LiveGameData gameData,
                        boolean isEditorMode)

### onPitsExited

    void onPitsExited(LiveGameData gameData,
                      boolean isEditorMode)

### onVehicleControlChanged

    void onVehicleControlChanged(VehicleScoringInfo viewedVSI,
                                 LiveGameData gameData,
                                 boolean isEditorMode)

### onLapStarted

    void onLapStarted(VehicleScoringInfo vsi,
                      LiveGameData gameData,
                      boolean isEditorMode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD